<?php

namespace app\admin\validate\smart_devices;

use think\Validate;

class ProductValidate extends Validate
{
    protected $rule = [
        'product_id' => 'require|integer',
        'product_category_id' => 'require|integer',
        'product_name' => 'require|max:255',
        'product_img' => 'regex:/^[0-9a-zA-Z\.\/]+$/',
        'product_brand' => 'max:255',
        'product_code' => 'max:255',
        'product_type' => 'require|integer',
        'product_is_bind_many' => 'require|integer',
        'product_is_bind_rome' => 'require|integer'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['product_category_id', 'product_name', 'product_img', 'product_brand', 'product_code', 'product_type', 'product_is_bind_many', 'product_is_bind_rome'],
        'update' => ['product_id', 'product_category_id', 'product_name', 'product_img', 'product_brand', 'product_code', 'product_type', 'product_is_bind_many', 'product_is_bind_rome'],
    ];
}